IRPCServerAdmin.GetPerformanceMeasurementsAsJSON

View as Markdown

Administration API / specialized admin session idempotent

Gets the current results of a vault database performance measurement as JSON.

ServiceServer administration MFiles.IRPCServerAdmin
gRPC method/MFiles.IRPCServerAdmin/GetPerformanceMeasurementsAsJSON
HTTP (mf-http-grpc)POST /grpc/v1/get-performance-measurements-as-json
RequestGetPerformanceMeasurementsAsJSONRequest
ResponseGetPerformanceMeasurementsAsJSONResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetPerformanceMeasurementsAsJSONRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
background_op_idint32The ID returned by BeginPerformanceMeasurementsAsJSON.

Response: GetPerformanceMeasurementsAsJSONResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
results_as_json_stringThe measurement results as a JSON document.